Package io.dapr.v1

# Class DaprProtos.AppConnectionHealthProperties.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionHealthProperties.Builder>
io.dapr.v1.DaprProtos.AppConnectionHealthProperties.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.AppConnectionHealthPropertiesOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.AppConnectionHealthProperties

public static final class DaprProtos.AppConnectionHealthProperties.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionHealthProperties.Builder> implements DaprProtos.AppConnectionHealthPropertiesOrBuilder
Protobuf type `dapr.proto.runtime.v1.AppConnectionHealthProperties`

## Method Summary

Modifier and Type
Method
Description
`DaprProtos.AppConnectionHealthProperties.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.AppConnectionHealthProperties`
`build()`
`DaprProtos.AppConnectionHealthProperties`
`buildPartial()`
`DaprProtos.AppConnectionHealthProperties.Builder`
`clear()`
`DaprProtos.AppConnectionHealthProperties.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.AppConnectionHealthProperties.Builder`
`clearHealthCheckPath()`
`string health_check_path = 1 [json_name = "healthCheckPath"];`
`DaprProtos.AppConnectionHealthProperties.Builder`
`clearHealthProbeInterval()`
`string health_probe_interval = 2 [json_name = "healthProbeInterval"];`
`DaprProtos.AppConnectionHealthProperties.Builder`
`clearHealthProbeTimeout()`
`string health_probe_timeout = 3 [json_name = "healthProbeTimeout"];`
`DaprProtos.AppConnectionHealthProperties.Builder`
`clearHealthThreshold()`
`int32 health_threshold = 4 [json_name = "healthThreshold"];`
`DaprProtos.AppConnectionHealthProperties.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.AppConnectionHealthProperties.Builder`
`clone()`
`DaprProtos.AppConnectionHealthProperties`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`String`
`getHealthCheckPath()`
`string health_check_path = 1 [json_name = "healthCheckPath"];`
`com.google.protobuf.ByteString`
`getHealthCheckPathBytes()`
`string health_check_path = 1 [json_name = "healthCheckPath"];`
`String`
`getHealthProbeInterval()`
`string health_probe_interval = 2 [json_name = "healthProbeInterval"];`
`com.google.protobuf.ByteString`
`getHealthProbeIntervalBytes()`
`string health_probe_interval = 2 [json_name = "healthProbeInterval"];`
`String`
`getHealthProbeTimeout()`
`string health_probe_timeout = 3 [json_name = "healthProbeTimeout"];`
`com.google.protobuf.ByteString`
`getHealthProbeTimeoutBytes()`
`string health_probe_timeout = 3 [json_name = "healthProbeTimeout"];`
`int`
`getHealthThreshold()`
`int32 health_threshold = 4 [json_name = "healthThreshold"];`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`DaprProtos.AppConnectionHealthProperties.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.AppConnectionHealthProperties.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`DaprProtos.AppConnectionHealthProperties.Builder`
`mergeFrom(DaprProtos.AppConnectionHealthProperties other)`
`final DaprProtos.AppConnectionHealthProperties.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.AppConnectionHealthProperties.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.AppConnectionHealthProperties.Builder`
`setHealthCheckPath(String value)`
`string health_check_path = 1 [json_name = "healthCheckPath"];`
`DaprProtos.AppConnectionHealthProperties.Builder`
`setHealthCheckPathBytes(com.google.protobuf.ByteString value)`
`string health_check_path = 1 [json_name = "healthCheckPath"];`
`DaprProtos.AppConnectionHealthProperties.Builder`
`setHealthProbeInterval(String value)`
`string health_probe_interval = 2 [json_name = "healthProbeInterval"];`
`DaprProtos.AppConnectionHealthProperties.Builder`
`setHealthProbeIntervalBytes(com.google.protobuf.ByteString value)`
`string health_probe_interval = 2 [json_name = "healthProbeInterval"];`
`DaprProtos.AppConnectionHealthProperties.Builder`
`setHealthProbeTimeout(String value)`
`string health_probe_timeout = 3 [json_name = "healthProbeTimeout"];`
`DaprProtos.AppConnectionHealthProperties.Builder`
`setHealthProbeTimeoutBytes(com.google.protobuf.ByteString value)`
`string health_probe_timeout = 3 [json_name = "healthProbeTimeout"];`
`DaprProtos.AppConnectionHealthProperties.Builder`
`setHealthThreshold(int value)`
`int32 health_threshold = 4 [json_name = "healthThreshold"];`
`DaprProtos.AppConnectionHealthProperties.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`final DaprProtos.AppConnectionHealthProperties.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionHealthProperties.Builder>`

### clear

public DaprProtos.AppConnectionHealthProperties.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionHealthProperties.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionHealthProperties.Builder>`

### getDefaultInstanceForType

public DaprProtos.AppConnectionHealthProperties getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public DaprProtos.AppConnectionHealthProperties build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public DaprProtos.AppConnectionHealthProperties buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public DaprProtos.AppConnectionHealthProperties.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionHealthProperties.Builder>`

### setField

public DaprProtos.AppConnectionHealthProperties.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionHealthProperties.Builder>`

### clearField

public DaprProtos.AppConnectionHealthProperties.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionHealthProperties.Builder>`

### clearOneof

public DaprProtos.AppConnectionHealthProperties.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionHealthProperties.Builder>`

### setRepeatedField

public DaprProtos.AppConnectionHealthProperties.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionHealthProperties.Builder>`

### addRepeatedField

public DaprProtos.AppConnectionHealthProperties.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionHealthProperties.Builder>`

### mergeFrom

public DaprProtos.AppConnectionHealthProperties.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.AppConnectionHealthProperties.Builder>`

### mergeFrom

public DaprProtos.AppConnectionHealthProperties.Builder mergeFrom(DaprProtos.AppConnectionHealthProperties other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionHealthProperties.Builder>`

### mergeFrom

public DaprProtos.AppConnectionHealthProperties.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.AppConnectionHealthProperties.Builder>`
Throws:
  `IOException`

### getHealthCheckPath

public String getHealthCheckPath()
`string health_check_path = 1 [json_name = "healthCheckPath"];`

Specified by:
  `getHealthCheckPath` in interface `DaprProtos.AppConnectionHealthPropertiesOrBuilder`
Returns:
  The healthCheckPath.

### getHealthCheckPathBytes

public com.google.protobuf.ByteString getHealthCheckPathBytes()
`string health_check_path = 1 [json_name = "healthCheckPath"];`

Specified by:
  `getHealthCheckPathBytes` in interface `DaprProtos.AppConnectionHealthPropertiesOrBuilder`
Returns:
  The bytes for healthCheckPath.

### setHealthCheckPath

public DaprProtos.AppConnectionHealthProperties.Builder setHealthCheckPath(String value)
`string health_check_path = 1 [json_name = "healthCheckPath"];`

Parameters:
  `value` - The healthCheckPath to set.
Returns:
  This builder for chaining.

### clearHealthCheckPath

public DaprProtos.AppConnectionHealthProperties.Builder clearHealthCheckPath()
`string health_check_path = 1 [json_name = "healthCheckPath"];`

Returns:
  This builder for chaining.

### setHealthCheckPathBytes

public DaprProtos.AppConnectionHealthProperties.Builder setHealthCheckPathBytes(com.google.protobuf.ByteString value)
`string health_check_path = 1 [json_name = "healthCheckPath"];`

Parameters:
  `value` - The bytes for healthCheckPath to set.
Returns:
  This builder for chaining.

### getHealthProbeInterval

public String getHealthProbeInterval()
`string health_probe_interval = 2 [json_name = "healthProbeInterval"];`

Specified by:
  `getHealthProbeInterval` in interface `DaprProtos.AppConnectionHealthPropertiesOrBuilder`
Returns:
  The healthProbeInterval.

### getHealthProbeIntervalBytes

public com.google.protobuf.ByteString getHealthProbeIntervalBytes()
`string health_probe_interval = 2 [json_name = "healthProbeInterval"];`

Specified by:
  `getHealthProbeIntervalBytes` in interface `DaprProtos.AppConnectionHealthPropertiesOrBuilder`
Returns:
  The bytes for healthProbeInterval.

### setHealthProbeInterval

public DaprProtos.AppConnectionHealthProperties.Builder setHealthProbeInterval(String value)
`string health_probe_interval = 2 [json_name = "healthProbeInterval"];`

Parameters:
  `value` - The healthProbeInterval to set.
Returns:
  This builder for chaining.

### clearHealthProbeInterval

public DaprProtos.AppConnectionHealthProperties.Builder clearHealthProbeInterval()
`string health_probe_interval = 2 [json_name = "healthProbeInterval"];`

Returns:
  This builder for chaining.

### setHealthProbeIntervalBytes

public DaprProtos.AppConnectionHealthProperties.Builder setHealthProbeIntervalBytes(com.google.protobuf.ByteString value)
`string health_probe_interval = 2 [json_name = "healthProbeInterval"];`

Parameters:
  `value` - The bytes for healthProbeInterval to set.
Returns:
  This builder for chaining.

### getHealthProbeTimeout

public String getHealthProbeTimeout()
`string health_probe_timeout = 3 [json_name = "healthProbeTimeout"];`

Specified by:
  `getHealthProbeTimeout` in interface `DaprProtos.AppConnectionHealthPropertiesOrBuilder`
Returns:
  The healthProbeTimeout.

### getHealthProbeTimeoutBytes

public com.google.protobuf.ByteString getHealthProbeTimeoutBytes()
`string health_probe_timeout = 3 [json_name = "healthProbeTimeout"];`

Specified by:
  `getHealthProbeTimeoutBytes` in interface `DaprProtos.AppConnectionHealthPropertiesOrBuilder`
Returns:
  The bytes for healthProbeTimeout.

### setHealthProbeTimeout

public DaprProtos.AppConnectionHealthProperties.Builder setHealthProbeTimeout(String value)
`string health_probe_timeout = 3 [json_name = "healthProbeTimeout"];`

Parameters:
  `value` - The healthProbeTimeout to set.
Returns:
  This builder for chaining.

### clearHealthProbeTimeout

public DaprProtos.AppConnectionHealthProperties.Builder clearHealthProbeTimeout()
`string health_probe_timeout = 3 [json_name = "healthProbeTimeout"];`

Returns:
  This builder for chaining.

### setHealthProbeTimeoutBytes

public DaprProtos.AppConnectionHealthProperties.Builder setHealthProbeTimeoutBytes(com.google.protobuf.ByteString value)
`string health_probe_timeout = 3 [json_name = "healthProbeTimeout"];`

Parameters:
  `value` - The bytes for healthProbeTimeout to set.
Returns:
  This builder for chaining.

### getHealthThreshold

public int getHealthThreshold()
`int32 health_threshold = 4 [json_name = "healthThreshold"];`

Specified by:
  `getHealthThreshold` in interface `DaprProtos.AppConnectionHealthPropertiesOrBuilder`
Returns:
  The healthThreshold.

### setHealthThreshold

public DaprProtos.AppConnectionHealthProperties.Builder setHealthThreshold(int value)
`int32 health_threshold = 4 [json_name = "healthThreshold"];`

Parameters:
  `value` - The healthThreshold to set.
Returns:
  This builder for chaining.

### clearHealthThreshold

public DaprProtos.AppConnectionHealthProperties.Builder clearHealthThreshold()
`int32 health_threshold = 4 [json_name = "healthThreshold"];`

Returns:
  This builder for chaining.

### setUnknownFields

public final DaprProtos.AppConnectionHealthProperties.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionHealthProperties.Builder>`

### mergeUnknownFields

public final DaprProtos.AppConnectionHealthProperties.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.AppConnectionHealthProperties.Builder>`